require "import"
import "android.preference.PreferenceManager"

local prefs = PreferenceManager.getDefaultSharedPreferences(service)

function setServiceEnabled(serviceName, activateService)
    local edit = prefs.edit()
    edit.putBoolean(serviceName, activateService)
    edit.commit()
end

local currentStatus = prefs.getBoolean("use_alarm", false)
if currentStatus then
service.setUseAlarm(false)
    setServiceEnabled("use_alarm", false)
service.play("cancel")
else
service.setUseAlarm(true)
service.playSoundTick()
    setServiceEnabled("use_alarm", true)
end
